9.9. Estrarre sottotitoli DVD in un file VOBsub
Indietro | Capitolo 9. Utilizzo base di MEncoder | Avanti

## 9.9. Estrarre sottotitoli DVD in un file VOBsub

MEncoder è in grado di estrarre i sottotitoli da un DVD in file formattati VOBsub. Essi sono composti da una coppia di file che terminano in `.idx` e `.sub` e sono solitamente compressi in un singolo archivio `.rar`. MPlayer può riprodurli con le opzioni `-vobsub` e `-vobsubid`.

Specifica il nome di base (per es. senza l'estensione `.idx` o `.sub`) del file di uscita con `-vobsubout` e l'indice per questo sottotitolo nel file risultante con `-vobsuboutindex`.

Se i dati in entrata non arrivano da un DVD usa `-ifo` per indicare il file `.ifo` che serve per costruire il risultante file `.idx`.

Se i dati in entrata non arrivano da un DVD e non hai il file `.ifo` dovrai usare l'opzione `-vobsubid` per impostare l'id della lingua da scrivere nel file `.idx`.

Se esistono già i file `.idx` e `.sub` ogni esecuzione aggiungerà il sottotitolo selezionato. Perciò dovresti cancellarli prima di iniziare.

Esempio 9.5. Copiare due sottotitoli da un DVD durante la codifica in due passaggi

    rm sottotitoli.idx sottotitoli.sub
    mencoder dvd://1 -oac copy -ovc lavc -lavcopts vcodec=mpeg4:vpass=1 \
        -vobsubout sottotitoli -vobsuboutindex 0 -sid 2
    mencoder dvd://1 -oac copy -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell:vpass=2 \
        -vobsubout sottotitoli -vobsuboutindex 1 -sid 5

Esempio 9.6. Copiare i sottotitoli francesi da un file MPEG

    rm sottotitoli.idx sottotitoli.sub
    mencoder film.mpg -ifo film.ifo -vobsubout sottotitoli -vobsuboutindex 0 \
        -vobsuboutid fr -sid 1 -nosound -ovc copy

Indietro | Risali | Avanti
9.8. Codificare file immagine multipli (JPEG, PNG, TGA, etc.) | Partenza | 9.10. Preservare il rapporto di aspetto